org.eclipse.mat.ui.snapshot

## Class ImageHelper

- java.lang.Object
- - org.eclipse.mat.ui.snapshot.ImageHelper

    public class ImageHelper
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `ImageHelper.Decorations`
`static class` `ImageHelper.ImageImageDescriptor`
`static interface` `ImageHelper.Type`

### Constructor Summary

Constructors
Constructor and Description
`ImageHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.eclipse.jface.resource.ImageDescriptor` `decorate(int type, org.eclipse.jface.resource.ImageDescriptor overlay)`
`static org.eclipse.swt.graphics.Image` `getImage(int type)`
`static org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor(int type)`
`static org.eclipse.swt.graphics.Image` `getInboundImage(int type)`
`static org.eclipse.jface.resource.ImageDescriptor` `getInboundImageDescriptor(int type)`
`static org.eclipse.swt.graphics.Image` `getOutboundImage(int type)`
`static org.eclipse.jface.resource.ImageDescriptor` `getOutboundImageDescriptor(int type)`
`static int` `getType(IObject object)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageHelper

    public ImageHelper()

### Method Detail

#### getType

    public static int getType(IObject object)

#### getImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(int type)

#### getImage

    public static org.eclipse.swt.graphics.Image getImage(int type)

#### getInboundImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getInboundImageDescriptor(int type)

#### getInboundImage

    public static org.eclipse.swt.graphics.Image getInboundImage(int type)

#### getOutboundImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getOutboundImageDescriptor(int type)

#### getOutboundImage

    public static org.eclipse.swt.graphics.Image getOutboundImage(int type)

#### decorate

    public static org.eclipse.jface.resource.ImageDescriptor decorate(int type,
                                                                      org.eclipse.jface.resource.ImageDescriptor overlay)